import React, { useState } from 'react';
import { useTheme, Collapse } from '@mui/material';
import KeyboardArrowDownIcon from '@mui/icons-material/KeyboardArrowDown';
import KeyboardArrowUpIcon from '@mui/icons-material/KeyboardArrowUp';
import IconButton from '@mui/material/IconButton';
import s from './InfoBlock.module.esm.js';

var UiInfoBlock = function UiInfoBlock(_ref) {
  var title = _ref.title,
      titleIcon = _ref.titleIcon,
      tooltip = _ref.tooltip,
      expandable = _ref.expandable,
      children = _ref.children,
      className = _ref.className,
      isOpenProp = _ref.isOpenProp,
      onClickHandler = _ref.onClickHandler,
      noBorder = _ref.noBorder,
      disabled = _ref.disabled;
  var theme = useTheme();
  var isDarkTheme = theme.palette.mode === 'dark';

  var _useState = useState(false),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  var toggleBlockHandler = function toggleBlockHandler() {
    expandable && setIsOpen(!isOpen);
  };

  return React.createElement("div", {
    className: className
  }, React.createElement("div", {
    onClick: onClickHandler ? onClickHandler : toggleBlockHandler,
    className: s.header + " " + (isDarkTheme ? s.headerDark : ''),
    style: {
      cursor: expandable ? disabled ? 'not-allowed' : 'pointer' : 'auto'
    }
  }, React.createElement("div", {
    className: s.tooltipBox
  }, tooltip && React.createElement("p", {
    className: s.tooltip
  }, tooltip), titleIcon, React.createElement("p", null, title)), expandable && React.createElement(IconButton, {
    "aria-label": "expand row",
    size: "small",
    sx: {
      cursor: disabled ? 'not-allowed' : 'pointer'
    }
  }, isOpen ? React.createElement(KeyboardArrowUpIcon, null) : React.createElement(KeyboardArrowDownIcon, null))), React.createElement(Collapse, {
    "in": expandable ? isOpenProp !== undefined ? isOpenProp : isOpen : true,
    timeout: "auto",
    unmountOnExit: true,
    sx: {
      width: '100%'
    }
  }, React.createElement("div", {
    className: s.content + " " + (isDarkTheme ? s.contentDark : '') + "}",
    style: {
      border: noBorder ? 'none' : ''
    }
  }, children)));
};

export { UiInfoBlock };
//# sourceMappingURL=InfoBlock.esm.js.map
