import React from 'react';
import { useTheme, Dialog, Box, Grid, IconButton } from '@mui/material';
import CloseIcon from '@mui/icons-material/Close';

var UiModal = function UiModal(_ref) {
  var open = _ref.open,
      onClose = _ref.onClose,
      title = _ref.title,
      children = _ref.children,
      width = _ref.width,
      mainContentStyle = _ref.mainContentStyle,
      titleStyle = _ref.titleStyle,
      dialogProps = _ref.dialogProps;
  var theme = useTheme();
  var isDarkTheme = theme.palette.mode === 'dark';
  var style = mainContentStyle ? mainContentStyle : {
    width: width || 500,
    boxShadow: 24,
    position: 'relative'
  };
  var defaultTitleStyle = titleStyle ? titleStyle : {
    fontFamily: 'Roboto',
    fontWeight: 500,
    fontSize: '18px',
    lineHeight: '21px'
  };
  return React.createElement(Dialog, Object.assign({
    open: open,
    onClose: onClose,
    PaperProps: {
      sx: {
        backgroundColor: isDarkTheme ? '#182636' : '#FFFFFF',
        backgroundImage: 'none',
        maxWidth: '100%'
      }
    }
  }, dialogProps), React.createElement(Box, {
    sx: style
  }, React.createElement(Grid, {
    container: true,
    direction: "row",
    justifyContent: 'space-between',
    alignItems: 'center',
    style: {
      padding: '0 24px',
      height: '60px',
      borderBottom: isDarkTheme ? '1px solid rgba(0, 0, 0, 0.1)' : '1px solid #E5E5E5'
    }
  }, React.createElement(Box, {
    sx: defaultTitleStyle
  }, title), React.createElement(Box, {
    justifyContent: "center",
    alignItems: "center",
    display: "flex"
  }, React.createElement(IconButton, {
    onClick: onClose,
    size: "small"
  }, React.createElement(CloseIcon, null)))), React.createElement(Grid, {
    style: {
      padding: '15px 24px 36px 24px',
      overflow: 'auto'
    }
  }, children)));
};

export { UiModal };
//# sourceMappingURL=Modal.esm.js.map
