import React from 'react';
import { useTheme, Select, MenuItem } from '@mui/material';
import Pagination from '@mui/material/Pagination';
import makeStyles from '@mui/styles/makeStyles';

var useStyles = /*#__PURE__*/makeStyles({
  root: {
    '&.MuiInputBase-root': {
      backgroundColor: 'white',
      '& .MuiSelect-select': {
        border: '1px solid #E5E5E5',
        borderRadius: '2px',
        padding: '2px 26px 2px 6px'
      },
      '& .MuiSelect-icon': {
        right: '2px'
      }
    },
    '&.MuiInput-underline:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:hover:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:after': {
      borderBottom: 'none'
    },
    '&.Mui-focused': {
      backgroundColor: 'white'
    },
    '& .MuiOutlinedInput-notchedOutline': {
      display: 'none'
    }
  },
  rootSelectDark: {
    '&.MuiInputBase-root': {
      '& .MuiSelect-select': {
        backgroundColor: '#182636',
        border: '1px solid #263648',
        borderRadius: '2px',
        padding: '2px 26px 2px 6px'
      },
      '& .MuiSelect-icon': {
        right: '2px'
      }
    },
    '&.MuiInput-underline:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:hover:before': {
      borderBottom: 'none'
    },
    '&.MuiInput-underline:after': {
      borderBottom: 'none'
    },
    '& .MuiOutlinedInput-notchedOutline': {
      display: 'none'
    }
  },
  rootPagination: {
    '&.MuiPagination-root': {
      '& .MuiPagination-ul': {
        '& .MuiPaginationItem-root': {
          color: 'white'
        },
        '& .MuiButtonBase-root': {
          color: 'white'
        },
        '& .MuiPaginationItem-page:hover': {
          backgroundColor: '#263648'
        },
        '& .MuiPaginationItem-page.Mui-selected': {
          backgroundColor: '#263648'
        }
      }
    }
  }
});
var UiPagination = function UiPagination(_ref) {
  var page = _ref.page,
      setPage = _ref.setPage,
      pageSize = _ref.pageSize,
      totalItems = _ref.totalItems,
      setPageSize = _ref.setPageSize,
      pageSizeOptions = _ref.pageSizeOptions,
      itemName = _ref.itemName,
      paginationProps = _ref.paginationProps,
      selectProps = _ref.selectProps;

  var handlePageChange = function handlePageChange(_event, value) {
    setPage(value);
  };

  var handlePageSizeChange = function handlePageSizeChange(event) {
    setPageSize(+event.target.value);
  };

  var classes = useStyles();
  var theme = useTheme();
  var isDarkTheme = theme.palette.mode === 'dark';
  var totalPages = Math.ceil((totalItems || 1) / pageSize);
  return React.createElement("div", {
    style: {
      display: 'flex'
    }
  }, React.createElement(Pagination, Object.assign({
    className: !isDarkTheme ? '' : classes.rootPagination,
    count: totalPages,
    shape: "rounded",
    page: page,
    onChange: handlePageChange
  }, paginationProps)), React.createElement("div", {
    style: {
      display: 'flex',
      alignItems: 'center'
    }
  }, React.createElement("p", {
    style: {
      margin: '0 6px 0 12px'
    }
  }, "\u041F\u043E\u043A\u0430\u0437\u0430\u0442\u044C"), React.createElement(Select, Object.assign({
    id: "selectPagination",
    value: pageSize,
    onChange: handlePageSizeChange,
    className: !isDarkTheme ? classes.root : classes.rootSelectDark
  }, selectProps), pageSizeOptions ? pageSizeOptions.map(function (value) {
    return React.createElement(MenuItem, {
      value: value,
      key: value
    }, value);
  }) : React.createElement(React.Fragment, null, React.createElement(MenuItem, {
    value: 5
  }, "5"), React.createElement(MenuItem, {
    value: 7
  }, "7"), React.createElement(MenuItem, {
    value: 10
  }, "10"), React.createElement(MenuItem, {
    value: 15
  }, "15"))), React.createElement("p", {
    style: {
      margin: '0 6px 0 12px'
    }
  }, itemName, " \u043D\u0430 \u0441\u0442\u0440\u0430\u043D\u0438\u0446\u0435")));
};

export { UiPagination };
//# sourceMappingURL=Pagination.esm.js.map
